Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api.extensions.resolution
Interface ContentPageResolutionRequest

    public interface ContentPageResolutionRequest

Request object of the content page resolution filter chain that contains various parameters used to resolve a content item addressed by a path to a web content page. As the content page resolution is implemented as a `ResolutionService` this class holds all aspects and parameters required during resolution.

Since:
  7.0
See Also:
  `ContentPageResolutionFilter`, `ContentPageResolutionFilterChain`
Note:

  This interface is designed to be implemented by clients.

Field Summary
`static java.lang.String` | `IS_PREVIEW_PARAMETER` Key of the request parameter that indicates if the current request is a request trigger from a preview authoring action.

Method Summary
`java.util.Set<Binding>` | `getAcceptedBindings()` Returns an unmodifiable `Set` of the bindings that the caller accepts as results of the resolution process.
`Context` | `getContext()` Returns the resolution context.
`ResolvedItem` | `getItem()` Returns identification information of the content item to be resolved.
`java.util.Map<java.lang.String,java.lang.String[]>` | `getResolutionParameters()` Returns additional context parameters that are required to perform the resolution.
`Resolved` | `getResolved()` Returns the resolved object that identifies the result of the resolution process in the `ResolutionService` that handles the content page resolution.
`java.net.URI` | `getUri()` Returns the URI of the content being resolved.
`java.lang.String` | `getVerb()` Returns the resolution verb.

Field Detail

### IS_PREVIEW_PARAMETER

    static final java.lang.String IS_PREVIEW_PARAMETER

  Key of the request parameter that indicates if the current request is a request trigger from a preview authoring action. A parameter value of `true` indicates such a preview request.

  See Also:
    `getResolutionParameters()`, Constant Field Values

Method Detail

### getItem

    ResolvedItem getItem()

  Returns identification information of the content item to be resolved.

  Returns:
    the identification information of the content item being resolved

### getResolved

    Resolved getResolved()

  Returns the resolved object that identifies the result of the resolution process in the `ResolutionService` that handles the content page resolution.

  Returns:
    the resolved object

### getUri

    java.net.URI getUri()

  Returns the URI of the content being resolved.

  Returns:
    the URI being resolved

### getVerb

    java.lang.String getVerb()

  Returns the resolution verb.

  Returns:
    the resolution verb, may be `null`

### getResolutionParameters

    java.util.Map<java.lang.String,java.lang.String[]> getResolutionParameters()

  Returns additional context parameters that are required to perform the resolution. The `Map` may be unmodifiable and should not be modified even if a modifiable version was returned. The keys of the map are of type `String`, the values are arrays of `String`.

  Returns:
    the `Map` containing additional context parameters

### getAcceptedBindings

    java.util.Set<Binding> getAcceptedBindings()

  Returns an unmodifiable `Set` of the bindings that the caller accepts as results of the resolution process. Each entry in this `Set` is an object that implements the `Binding` interface.

  Returns:
    the `Set` of bindings accepted by the caller

### getContext

    Context getContext()

  Returns the resolution context.

  Returns:
    the resolution context

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD